Subject: categories: Re: Categories ridiculously abstract

From: Vaughan Pratt <[email-masked]>
Date: Sun, 03 Dec 2000 21:30:39 -0800

1 ab.stract \ab-'strakt, 'ab-,\ adj (15c)
 [ML abstractus, fr. L, pp. of abstrahere to draw away, fr. abs-, ab- + 
trahere to draw -- more at DRAW]
    1a: disassociated from any specific instance <abstract entity> 
    1b: difficult to understand: ABSTRUSE <abstract problems> 
    1c: IDEAL <abstract justice> 
    1d: insufficiently factual: FORMAL <possessed only an abstract right> 
    
    2: expressing a quality apart from an object <the word poem is concrete, 
    poetry is abstract> 
    3a: dealing with a subject in its abstract aspects: THEORETICAL <abstract 
    science> 
    3b: IMPERSONAL, DETACHED <the abstract compassion of a surgeon --Time> 
    
    4: having only intrinsic form with little or no attempt at pictorial 
    representation or narrative content <abstract painting> -- ab.stract.ly 
    \ab-'strak-(t)l<e^->, 'ab-,\ adv -- ab.stract.ness \ab-'strak(t)-n<e>s, 
    'ab-,\ n

1a: Sets and categories as mathematical abstractions are equally
disassociated from specific instances.

1b: For almost every interesting known theorem of category theory there
is a harder interesting known theorem of set theory, and vice versa.
It is plausible that the exceptions from set theory outnumber those
from category theory, but it is equally plausible that a majority of
mathematical literates judge category theory harder than set theory.
No clear winner here.

1c: Sets and categories are both ideal entities.

1d: Set theory and category theory are equally factual, and equally
formal.

2: In this sense set theory and category theory are both abstract while
sets and categories are objects and so not abstract.

3a: Set theory and category theory deal equally with the abstract aspects
of their respective subjects.

3b: The FOM mailing list tends to get worked up much more often and
rather more heatedly about the set-vs-category debate than does the
categories mailing list.

4.  Categories lend themselves better to diagrams than do sets.

Conclusions (organized by dictionary meaning of "abstract"):

	1 to 3a: No difference.

	3b:      Category theorists are more abstract than set theorists.

	4:       Sets are more abstract than categories.

--
Vaughan Pratt                             O res ridicula! immensa stultitia.
                                          --Chorus of Old Men, Catulli Carmina